Bug 140040 - [PATCH] net/mpd unbreak
Summary: [PATCH] net/mpd unbreak
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-28 05:50 UTC by poyopoyo
Modified: 2009-10-30 10:20 UTC (History)
0 users

See Also:


Attachments
file.diff (421 bytes, patch)
2009-10-28 05:50 UTC, poyopoyo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description poyopoyo 2009-10-28 05:50:01 UTC
net/mpd is marked as BROKEN after BURN_BRIDGES has been
fallen. Replacing definitions is enough to unbreak.
Comment 1 poyopoyo 2009-10-28 09:55:32 UTC
patch revised.
- get rid of pre.mk/post.mk that were for OSVERSION.

--- /usr/ports/net/mpd/Makefile	2009-06-14 03:07:42.000000000 +0900
+++ Makefile	2009-10-28 18:39:52.000000000 +0900
@@ -27,11 +27,10 @@
 
 USE_RC_SUBR=	mpd
 
-.include <bsd.port.pre.mk>
-
-.if ${OSVERSION} >= 800097
-BROKEN=		does not compile
-.endif
+post-patch:
+	${FIND} ${WRKSRC}/src -type f -name \*.c \
+	| ${XARGS} ${GREP} -l 'NG_....LEN[ +1]*' \
+	| ${XARGS} ${REINPLACE_CMD} 's/\(NG_....\)LEN[ +1]*/\1SIZ/g'
 
 pre-build:
 	@${ECHO}
@@ -44,4 +43,4 @@
 	@${MKDIR} ${DOCSDIR}
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Comment 2 Martin Wilke freebsd_committer 2009-10-29 09:20:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2009-10-30 10:11:13 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2009-10-30 10:11:16 UTC
miwi        2009-10-30 10:11:07 UTC

  FreeBSD ports repository

  Modified files:
    net/mpd              Makefile 
  Log:
  - Fix build
  
  PR:             140040
  Submitted by:   Sato Kuro <poyopoyo@puripuri.plala.or.jp>
  
  Revision  Changes    Path
  1.54      +4 -3      ports/net/mpd/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"